About EEfonts

About RedTitan EEfonts

Some printer drivers use arbitrary character codes when downloading fonts, so that any text extracted directly from the PCL file is not readable. The EEfonts program enables you to set up a character recognition database which can be used by RedTitan's EscapeE PCL viewer to convert the text back to a useful form, either in Windows character set or Unicode.


Running EEfonts

To run EEfonts, select Library folders... from the EscapeE 'Options' menu, then click the Setup button in the 'Character recognition database' section.

Alternatively the program can be called from the Windows Start | Run menu and may be given a parameter which is the name of a single-font database that is to be merged with the main database (see below).

On entry to EEfonts the Add fonts to character recognition database dialogue will be displayed. On the left of the dialogue there is a list of 'Windows' fonts available from your computer. On the right is the list of fonts that have already been added to the Library. Initially, any of the Windows fonts that are not in the library will be highlighted in blue. The selection can be changed in the usual Windows way:

· a click will select a single font;
· holding the shift key before clicking will select all fonts on the lines between this click and the previous one;
· holding down the control key will retain any previous selection and toggle the selected font between the selected and unselected states.

The control key can be used in conjunction with the shift key if required.

Click on the Exit button to quit the program and return to EscapeE.


Adding fonts to the library database

To add a font to the library

1. Select a font from the 'Windows fonts' list.
2. Select either Outlines or Bitmaps or the specified sizes. See also Outlines v bitmaps.
3. If you selected Bitmaps then check that the list of point sizes is appropriate (it takes several seconds and occupies several kbytes of library file for each size added).
If you selected Scalable the point-sizes are grayed-out as this information is superfluous.
4. Click on the Add button to add the selected fonts to the library. See also Style options and Database options.
Note that this process may take several seconds per font.

If the option Export a database for each font has been selected then in addition to updating the master library in TTLIB.RTK, EEfonts will create one ".RTK" file in the Library for each font specified.

A font can be added to a library on a different PC by transferring its TTK file to the PC and using the Browse button in EEfonts on that PC to add it to the library. The point of this is that the library only contains a digital signature of each character, not the actual outline, so no copyright is infringed by copying the file.

If you have fonts stored elsewhere on your computer which are to be added:

1. Click Browse.
2. Select the required font file from the 'Fonts' dialogue.
3. Click Open.

To remove a font from the library:

Select the font in the right-hand window and click on the Remove button.

See also

Adding a bitmap font to the database


Style Options

EEfonts normally creates all available styles of the selected font when Add is clicked (see To add a font to the library).

To create specific styles only, tick the required style; choose from:

· Regular
· Bold
· Italic
· Bold italic
· Light
· Light italic


Database Options

Compact the database

Repeated editing of the font database can increase its size; choosing this option tidies the database and typically reduces its size by about 40%, speeding up access (the original is retained but given the extension .~rtk).

Initialize the database

This option erases the database ready for a fresh start. This may be quicker than removing many fonts individually.

Export a database for each font

This option creates a separate database for each font, as well as updating the master database (TTLIB.RTK).

See also

Adding fonts to the library database


Adding a bitmap font to the database

Adding a bitmap font to the character recognition database

To add a bitmap font to the CRD:

1. If you are running EEfonts, click Browse then select the font for conversion,
or
select Font |Add downloaded bitmap font to the database from EscapeE.
2. Click Yes when asked if you wish to rearrange the character codes.
EEfonts shows the code table with the positions of all the characters.
3. Select a character by clicking on it or select a range of characters by clicking on the first of a range, holding down the Shift key, and clicking on the last character in the range. The selected characters are shown in blue.
4. To move character(s) hold down the mouse button and drag the character(s) to new position before releasing the button. When moving a range of characters, the position of the mouse when the button is released determines the destination for the first character of the selected range.
To copy character(s) rather than moving them, hold down the Ctrl key when clicking on them.
To exchange characters, press the Alt key to access the character that has been overwritten, i.e. the one that originally occupied that position.
To delete character(s) click the Delete button.
To restore characters to their original values click Restore.
The Unselect button clears any selection and Cancel exits without applying the changes.
5. Click OK to store the characters in the character recognition database under the new codes.

See also

Adding fonts to the library database


Outlines versus bitmaps

Outline v Bitmap

TrueType fonts are 'outline spline' type fonts: this means that a whole series of sizes can be derived from one font. This is very efficient if you need to use several sizes of the same font. Some print drivers can be configured to store the font in the the PCL file in outline form or they may rasterize it and store it in bitmapped form, one font per point size.

In EscapeE you can click on Fonts|Downloaded fonts to see if any are recorded as scalable in the Size column. Alternatively, to see if a particular piece of text uses outline (scalable) fonts or bitmap just right-click on it and choose the Font properties. This character matching only applies to downloaded fonts, so this process is irrelevant unless the font type is 'download'. If it is and it is Scalable you will need to choose the outline option, otherwise choose the bitmap option.

You can see from EscapeE's Fonts|Fonts in use screen just which sizes of which fonts are used in a particular PCL file. Commonly used point sizes are enumerated for convenience but you can sweep out and delete any point sizes that are not required or type in any (integer) point size missing from the list.


Command line options

/MERGE <filespec> | Merge in a .RTK recognition database generated elsewhere e.g. on the PC which originates PCL files.
/NEW <filespec> | Add the specified RFF fonts to the database. Only those files which are in the "non-archived" state will be added and their state will be set to "archived".
/SIZES s1,s2,etc. | Where s1, s2 etc. are either nominal point sizes or if negative they are the font cell height in points. These are the sizes that will be used for generating bitmap fonts from TrueType scalable fonts.


code table

 Top

The code table for a font is an index of computer codes used to reference each character image. For example, on computers that use the ASCII (American Standard Code for Information Interchange) the code hexadecimal 41 will normally represent the upper case character "A". Hex 30 is the character zero "0". The code table is not concerned with the shape and size of each character but simply the convention that is used to reference it. Fonts are normally generated in the Windows 3.1 symbol set 19U.